%define name mpgtx
%define version 1.3
%define release 2mdk

Summary: Manipulate tags, split, join, demultiplex, and fetch information on MPEG files.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://belnet.dl.sourceforge.net/mpgtx/mpgtx-%{version}.tar.bz2
License: GPL
Group: Video
URL: http://mpgtx.sourceforge.net/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Author: Laurent Alacoque <laureck@users.sourceforge.net>

%description
mpgtx (an MPEG ToolboX) allows you to manipulate ID3 tags, split, join,
demultiplex, and fetch detailed information about a variety of MPEG files.
It was designed to do little, but do it well, and to provide the end user
with an austere yet powerful commandline interface. It replaces "mpgcut".

%prep
%setup -q
perl -pi -e 's/^\s*inline\s*$//' *.cxx

%build
./configure --prefix=%{_prefix}
%make CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DNOSIGNAL_H"

%install
rm -rf $RPM_BUILD_ROOT
find -type f | xargs chmod a+r
make install MANDIR="$RPM_BUILD_ROOT/%{_mandir}/man1" INSTALLDIR="$RPM_BUILD_ROOT/%{_bindir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-2mdk
- rebuild
- drop Prefix tag
- use %%make macro

* Fri Jan 24 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3-1mdk
- new version

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-3mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1-2mdk
- rebuild to link against latest libstdc++
- need to remove inlining of public methods

* Tue Oct  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1-1mdk
- new version

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-2mdk
- rebuild to fix file permissions

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- first stable version, a.k.a 1.0

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-0.b.2mdk
- rebuild

* Mon Jun  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-0.b.1mdk
- first mdk version
